﻿<AML>
 <Item type="Method" id="B8F5A97E90DF44ABBB4E9EFA302248BD" action="add">
  <comments>2018-1-15--Su Sandar Lin</comments>
  <execution_allowed_to keyed_name="World" type="Identity">A73B655731924CD0B027E4F4D5FCC0A9</execution_allowed_to>
  <method_code><![CDATA[/* *****************************************************************************
Method Name:			pop_discount_change
Created By		:		SolidCAD 
Creation Date:			2018-01-23
Description:
    When Discount change,
	-Calculate Sub Amount,GST Amount and Total Amount and Set value.
	
Hooks:
	Type:	Form	:	sop_po_out
	Event:	pop_lumpsum_discount ( onBlur )
	
	Type:	Form	:	sop_sale_invoice
	Event:	pop_lumpsum_discount ( onBlur )
	
	Type:	Form	:	sop_commercial_invoice
	Event:	pop_lumpsum_discount ( onBlur )
	
Revisions:
	Rev Date		Modified By			Description
	2018-01-15		Su Sandar Lin		* discount value cannot be greater than or equal to Sub Total
***************************************************************************** */

//debugger;
var pop_hide_sub_total = top.aras.getItemProperty(document.item, 'pop_hide_sub_total');

var pop_lumpsum_discount = top.aras.getItemProperty(document.item, 'pop_lumpsum_discount');
if (!pop_lumpsum_discount || pop_lumpsum_discount === "") {
    pop_lumpsum_discount = 0;
}
var pop_gst_percent = top.aras.getItemProperty(document.item, 'pop_gst_percent');
if (!pop_gst_percent || pop_gst_percent === "") {
    pop_gst_percent = 0;
}

var f_lumpsum_discount = parseFloat(pop_lumpsum_discount);
var f_hide_sub_total = parseFloat(pop_hide_sub_total);

if (f_lumpsum_discount >= f_hide_sub_total){
alert("Discount cannot be greater than or Equal Total Amount");
f_lumpsum_discount = 0;
handleItemChange("pop_lumpsum_discount",f_lumpsum_discount.toFixed(2));
}

if (f_lumpsum_discount < f_hide_sub_total){
var sub_amount = f_hide_sub_total - f_lumpsum_discount;


var f_gst_percent = parseFloat(pop_gst_percent) / 100;
var f_sub_amount = parseFloat(sub_amount);
var gst_amount = f_sub_amount * f_gst_percent;
var total_amount = f_sub_amount + gst_amount;

handleItemChange("pop_sub_amount", parseFloat(sub_amount).toFixed(2));
handleItemChange("pop_gst_amount", parseFloat(gst_amount).toFixed(2));
handleItemChange("pop_total_amount", parseFloat(total_amount).toFixed(2));
}
return this;]]></method_code>
  <method_type>JavaScript</method_type>
  <name>pop_discount_change</name>
 </Item>
</AML>